.cal_view_range {
    font-size:   150%;
    font-weight: bold;
}
.cal_time_heading {
    background-color: #993333;
    text-align:       left;
    color:            #FFFFFF;
    font-weight:      bold;
    text-decoration:  none;
}
.cal_time_heading2 {
    background-color: #CC6666;
    text-align:       left;
    color:            #FFFFFF;
    font-weight:      bold;
    text-decoration:  none;
}
.cal_day_heading {
    background-color: #993333;
    text-align:       center;
    color:            #FFFFFF;
    font-weight:      bold;
    text-decoration:  none;
}
.cal_small {
    font-size: 80%;
}

.cal_box {
    border: 2px solid #000000;
}
.cal_ruled_cell {
    empty-cells:      show;
    border-top:       1px solid #CCCCCC;
    background-color: #EEEEEE;
}
.cal_gridded_cell {
    border-top: 1px solid #CCCCCC;
    border-left:  1px solid #CCCCCC;
    background-color: #EEEEEE;
}

.cal_blank_cell {
    background-color: #EEEEEE;
}

.cal_dayview_durationbar {
    border-top: 2px solid #CCCCFF;
    background-color: #BBBBEE;
}
.cal_monthview_blank {
    border: 1px solid #000000;
    background-color: #FFFFFF;
}
.cal_monthview_today {
    border: 1px solid #000000;
    background-color: #BBBBFF;
}
.cal_monthview_grayed {
    border: 1px solid #000000;
    background-color: #CCCCCC;
}
.cal_month_thumbnail_noevents {
    font-weight:      normal;
    text-decoration:  none;
}
.cal_month_thumbnail_hasevents {
    font-weight:      bold;
}
.cal_timed_event_button {
    border-left:      1px solid #DDDDFF;
    border-top:       1px solid #DDDDFF;
    border-right:     1px solid #7777AA;
    border-bottom:    1px solid #7777AA;
    background-color: #BBBBEE;
}
.cal_untimed_event_button {
    border-left:      1px solid #AAAAAA;
    border-top:       1px solid #AAAAAA;
    border-right:     1px solid #EEEEEE;
    border-bottom:    1px solid #EEEEEE;
    background-color: #DDDDDD;
}
.cal_multidayview_daydivider {
    border: 1px solid #AAAAAA;
    background-color: #FFFFFF;
}


/* JHR my.harvard calendar styles */

/* shared */
.cal_title {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 14px;
	font-weight: bold;
	text-align: center;
}


.cal_current-range { 
	color: #666633;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 14px;
	font-weight: bold;
	vertical-align: top;
	padding: 7px;
}

.cal_choose-date {
	font-size: 10px;
	vertical-align: top;
}

.cal_center-div {
	white-space: nowrap;
	font-size: 10px;
	width: 40em; 
	margin: auto;
	text-align: center;
}

input.cal_choose-date {
	background-color: #BFBDA8;
	color: #6B0707;
	font-weight: bold;
	vertical-align: top;
}

.cal_jump-today {
	padding-right: 30px;
}

a.cal_link:link {
	color: #000099;
	text-decoration: none;
} 

a.cal_link:active {
	color: #6B0707;
} 

a.cal_link:visited {
	color: #000099;
	text-decoration: none;
} 

a.cal_link:hover {
	color: #6B0707;
	text-decoration: underline;
} 

a.cal_arrows:hover {
	border: 1px solid #000000;
}

.cal_buttonbar {
	margin-left:-2px; 
	margin-top:-2px; 
	margin-right:-2px; 
	margin-bottom:2px; 
	padding: 0px; 
	height: 17px;
	border-bottom: 1px solid gray; 
	background: #dcdbc9;
}


/* list styles */

.cal_list-sidebox {
	float: right;
	background-color: #DCDBC9;
	padding: 7px;
	border: 3px outset #DCDBC9;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight: bold;
}

.cal_list-sidebox-type {
	font-size: 10px;
	margin-left: -10px;
	list-style-type: square;
	font-weight: normal;
}

.cal_list-event-date {
	color: #BE1414;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	margin-bottom: -10px;
	margin-top: 25px;
}

.cal_list-event {
	list-style-type: none;
	border-bottom: 1px dotted #666633;
	padding: 2px;
	padding-top: 4px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}

ul.cal_list-event {
	margin-left: 15px;
	border-bottom: 0px;
}

.cal_list-event-time {
	display: table-cell;
	width: 65px;
	font-size: 10px;
}

.cal_list-event-name {
	display: table-cell;
	font-size: 10px;
	font-weight: bold;
}

.cal_list-event-location {
	font-size: 10px;
	font-weight: normal;
}

.cal_list-event-description {
	font-weight: normal;
	font-size: 10px;
	margin-left: 8px;
	border-left: 1px solid #BFBDA8;
	padding-left: 2px;
	display: block;
}

.cal_list-internal-link {
	color: #003366;
	font-size: 11px;
}


/* month styles */

.cal_month-table {
	border: 2px solid #000000;
	border-collapse: collapse;
}

.cal_month-columns {
	width: 14.3%;
}

.cal_month-day-headings {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	text-align: center;
	color: #3C332A;
	background: #D4CFBF;
	border: 1px solid #000000;
}

.cal_month-cell {
	border: 1px solid #666666;
	padding: 0px 0px 20px 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	vertical-align: top;
}

.cal_other-month-cell {
	border: 1px solid #666666;
	padding: 0px 0px 20px 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	vertical-align: top;
	background: #E6E9E0;
}

.cal_month-today-cell {
	padding: 0px 0px 20px 10px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	background: #FFF99A;
	vertical-align: top;
}

.cal_month-time {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8px;
	font-weight: bold;
	display: block;
	text-indent: -7px;
}

a.cal_month-link:link, a.cal_month-link:visited {
	color: #000099;
	text-decoration: none;
	font-size: 10px;
	font-weight: normal;
} 

a.cal_month-link:active, a.cal_month-link:hover {
	color: #6B0707;
	font-size: 10px;
	font-weight: normal;
	text-decoration: underline;
} 

.cal_month-date-labels {
	float: right;
	text-align: center;
	border: 1px dotted #666666;
	border-width: 0 0 1px 1px;
	padding: 0px 0px 1px 1px;
	margin: 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	color: #6B0707;
	text-decoration: none;
}

.cal_month-date-links {
	text-decoration: none;
}

/* 1-day */

.cal_1day-untimed-event {
        list-style-type: square;
        border-bottom: 1px dotted #666633;
        padding: 2px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        font-size: 11px;
        width: 80%;
}

.cal_1day-headers {
        font-family: Verdana, Arial, Helvetica, sans-serif;
        font-size: 13px;
        font-weight: bold;
        color: #6B0707;
}

.cal_1day-table {
        width: 100%;
        table-layout: fixed;
        border-collapse: collapse;
        border-spacing: 0 px;
        empty-cells: show;
}

.cal_1day-event-column {
        width: 30%;
}

.cal_1day-columns {
        width: 1.25%;
        border: 1px solid #776655;
}

.cal_1day-blank-cell-00 {
        width: 1.25%;
        border-left: 1px solid #000000;
        border-top: 1px solid #000000;
        border-bottom: 1px solid #000000;
}

.cal_1day-blank-cell-15 {
        width: 1.25%;
        border-left: 1px solid #DCD7D2;
        border-top: 1px solid #000000;
        border-bottom: 1px solid #000000;
}

.cal_1day-row {
        border-bottom: 1px solid black;
}

.cal_1day-event-name {
        padding-left: 25px; 
        font-family: Verdana, Arial, Helvetica, sans-serif;
        font-size: 12px;
        height: 25px;
        vertical-align: top;
        text-indent: -20px;
        border-right: 1px solid black;
}

.cal_1day-untimed-event-name {
        font-family: Verdana, Arial, Helvetica, sans-serif;
        font-size: 12px;
	border-bottom: 1px dotted #000000;
	padding: 5px;
	width: 95%;
}

.cal_1day-has-event {
        background-color: #AFC8F2;
        border: 2px outset #FFFFFF;
}

.cal_1day-has-event-no-end {
        background-color: #AFC8F2;
        border: 2px outset #FFFFFF;
        border-right: 5px dotted #576CB8;
}

.cal_1day-pm-times {
        text-align: left;
        font-weight: bold;
        font-size: 10px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        background-color: #AD9080;
    	color: #000000;
}

.cal_1day-am-times {
        text-align: left;
        font-weight: bold;
        font-size: 10px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        background-color: #AD9080;
    	color: #FFFFFF;
}

.cal_1day-last-cell {
        border-right: 1px solid #FFFFFF;
        border-bottom: 1px solid #FFFFFF;
        
}

.cal_1day-left {
        text-align: right;
		color: #BE1414;
        font-weight: bold;
        font-size: 10px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        padding-right: 4px;
}

.cal_1day-right {
        text-align: left;
        border-top: 1px solid #FFFFFF;
        border-bottom: 1px solid #FFFFFF;
	border-left: 1px solid #000000;
		color: #BE1414;
        font-weight: bold;
        font-size: 10px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        padding-left: 4px;
}

col.cal_1day-right {
        width: 2%;
        border: 0px;
}

/* multiday view */

.cal_multiday-table {
	border: 0px;
	border-spacing: 0px;
	padding: 0px;
	width: 100%;
	table-layout: fixed;
	empty-cells: show;
}

.cal_multiday-daydivider {
    border-left: 1px solid #666666;
    border-right: 1px solid #666666;
    background-color: #FFFFFF;
    width: 5px;
    empty-cells: show;
}

.cal_multiday-time-heading-am {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	text-align: right;
    font-weight: bold;
    background-color: #AD9080;
    color: #FFFFFF;
    border-bottom: 1px dashed #000000;
    padding-right: 3px; 
    height: 45px;
    width: 65px;
}

.cal_multiday-time-heading-pm {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	text-align: right;
    font-weight: bold;
    background-color: #AD9080;
    color: #000000;
    border-bottom: 1px dashed #000000;
    padding-right: 3px; 
    height: 45px;
    width: 65px;
}

.cal_multiday-day-heading {
    background-color: #8F8D7E;
    text-align:       center;
    color:            #FFFFFF;
    font-weight:      bold;
    text-decoration:  none;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	padding: 2px;
}

th.cal_multiday-day-heading {
	border: 1px solid #000000;
}

.cal_multiday-arrows {
	vertical-align: bottom;
	text-align: center;
	padding-bottom: 5px;
	padding-top: 10px;
    width: 65px;
}

.cal_multiday-untimed-event {
    border: 1px #8F8D7E;
    background-color: #CFD2CB;
   	font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 10px;
}

li.cal_multiday-untimed-event {
	margin-left: -20px;
}

a.cal_multiday-event-text {
    font-size: 9px;
    text-decoration: none;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #000099;
}

a.cal_multiday-event-text:hover {
	color: #6B0707;
	text-decoration: underline;
} 

.cal_multiday-arrow-text {
    font-size: 9px;
    text-decoration: none;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #000099;
}

a.cal_multiday-arrow-text:hover, a.cal_multiday-arrow-text:active {
	color: #6B0707;
	text-decoration: underline;
} 

.cal_multiday-timed-event {
    border: 1px outset #DCDBC9;
    background-color: #BCBCDF;
	vertical-align: top;
}

.cal_multiday-timed-event-no-end {
    border: 1px outset #DCDBC9;
	border-bottom: 5px dotted #6B6BAB;
    background-color: #BCBCDF;
	vertical-align: top;
}

.cal_multiday-blank-cell {
    background-color: #E6E9E0;
    height: 11px;
}

.cal_multiday-blank-cell-00 {
    background-color: #E6E9E0;
    border-top: 1px solid #666666;
    height: 11px;
}

.cal_multiday-blank-cell-15 {
    background-color: #E6E9E0;
        height: 11px;
        border-top: 1px dashed #CFD2CB;
}

.cal_multiday-blank-cell-30 {
    background-color: #E6E9E0;
        height: 11px;
        border-top: 1px dotted #CFD2CB;
}

.cal_multiday-blank-cell-45 {
    background-color: #E6E9E0;
        height: 11px;
        border-top: 1px dashed #CFD2CB;
}

.cal_multiday-today-untimed-event {
    border: 1px #8F8D7E;
    background-color: #E6E9E0;
        font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 10px;
}
li.cal_multiday-today-untimed-event {
	margin-left: -20px;
	background-color: #E6E9E0;
}
.cal_multiday-today-timed-event {
    border: 1px outset #DCDBC9;
    background-color: #AFC8F2;
	vertical-align: top;
}

.cal_multiday-today-timed-event-no-end {
    border: 1px outset #DCDBC9;
	border-bottom: 5px dotted #576CB8;
    background-color: #AFC8F2;
	vertical-align: top;
}

.cal_multiday-today-blank-cell {
    background-color: #D9EAE8;
    height: 11px;
}

.cal_multiday-today-blank-cell-00 {
    background-color: #D9EAE8;
    border-top: 1px solid #666666;
    height: 11px;
}

.cal_multiday-today-blank-cell-15 {
    background-color: #D9EAE8;
        height: 11px;
        border-top: 1px dashed #CFD2CB;
}

.cal_multiday-today-blank-cell-30 {
    background-color: #D9EAE8;
        height: 11px;
        border-top: 1px dotted #CFD2CB;
}

.cal_multiday-today-blank-cell-45 {
    background-color: #D9EAE8;
	height: 11px;
	border-top: 1px dashed #CFD2CB;
}

.cal_multiday-today-day-heading {
    background-color: #576CB8;
    text-align:       center;
    color:            #FFFFFF;
    font-weight:      bold;
    text-decoration:  none;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	padding: 2px;
}

.cal_multiday-timed-event-truncate-top {
    border: 1px outset #DCDBC9;
    background-color: #BCBCDF;
    	border-top: 1px dashed #6B0707;
        vertical-align: top;
}

.cal_multiday-timed-event-truncate-bottom {
    border: 1px outset #DCDBC9;
    background-color: #BCBCDF;
        vertical-align: top;
        	border-bottom: 1px dashed #6B0707;

}

.cal_multiday-timed-event-no-end-truncate-top {
    border: 1px outset #DCDBC9;
        border-bottom: 5px dotted #6B6BAB;
	border-top: 1px dashed #6B0707;
    background-color: #BCBCDF;
        vertical-align: top;
}

.cal_multiday-today-timed-event-truncate-top {
    border: 1px outset #DCDBC9;
    background-color: #AFC8F2;
    	border-top: 1px dashed #6B0707;
        vertical-align: top;
}

.cal_multiday-today-timed-event-truncate-bottom {
    border: 1px outset #DCDBC9;
    background-color: #AFC8F2;
        vertical-align: top;
        	border-bottom: 1px dashed #6B0707; }

.cal_multiday-today-timed-event-no-end-truncate-top {
    border: 1px outset #DCDBC9;
        border-bottom: 5px dotted #576CB8;
    background-color: #AFC8F2;
        vertical-align: top;
	border-top: 1px dashed #6B0707;
}


.cal_multiday-today-timed-event-no-end-truncate-bottom {
    border: 1px outset #DCDBC9;
    background-color: #AFC8F2;
        vertical-align: top;
                border-bottom: 1px dashed #6B0707;
}
.cal_multiday-timed-event-no-end-truncate-bottom {
    border: 1px outset #DCDBC9;
    background-color: #BCBCDF;
        vertical-align: top;
                border-bottom: 1px dashed #6B0707;
}


th.cal_multiday-today-day-heading {
	border: 1px solid #000000;
}
/* event description */

.cal_desc_title {
 		color: #6B0707;
        font-weight: bold;
        font-size: 14px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
}

.cal_desc_medium {
        font-size: 12px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        margin: 15px;
}

.cal_desc_small {
        font-size: 11px;
        font-family: Verdana, Arial, Helvetica, sans-serif;
        margin: 15px;
}

.cal_small-italics {
	font-size: 11px;
	font-style: italic;
}

/* forms */

.cal_form-labels {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
}

.cal_form-smaller-labels {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight: bold;
}

.cal_form-smallest-labels {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
}

.cal_form-alert {
	color: #BB0000;
}

td.cal_form-labels {
	text-align: right;
}

.cal_form-table {
	border: 0 px; 
	padding: 0px;
}

.cal_form-box {
	border: 0 px; 
	padding: 10px;
	background: #D5CFBF;
	width: 550px;
}

/* admin interface */

a.cal_admin-link:link, a.cal_admin-link:visited {
	color: #000099;
	text-decoration: none;
	font-size: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
} 

a.cal_admin-link:hover, a.cal_admin-link:active {
	color: #6B0707;
	text-decoration: underline;
	font-size: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
} 

.cal_admin-cell-1 {
	border: 1px solid #666666;
		border-bottom: 1px solid #000000;
	text-align: center;
	padding: 5px;
}


.cal_admin-cell-2 {
	border: 1px solid #666666;
	border-bottom: 1px solid #000000;
	padding: 5px;
	background: #D5CFBF;
	text-align: center;
}

/* New addition Jan 2005 */

.cal_multiday-timed-event-1 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #DFBCCA;
}


.cal_multiday-timed-event-2 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #BCDFC8;
}


.cal_multiday-timed-event-3 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #ECF588;
}


.cal_multiday-timed-event-4 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #F5C688;
}

.cal_multiday-timed-event-5 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #C1F2F0;
}


.cal_multiday-timed-event-6 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #EEC1F2;
}


.cal_multiday-timed-event-7 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #DEC6A3;
}


.cal_multiday-timed-event-8 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #FC6067;
}


.cal_multiday-timed-event-9 {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 1px outset #DCDBC9;
        background: #80D995;
}


.cal_multiday-timed-event-1-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #DFBCCA;
}


.cal_multiday-timed-event-2-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #BCDFC8;
}


.cal_multiday-timed-event-3-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #ECF588;
}


.cal_multiday-timed-event-4-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #F5C688;
}

.cal_multiday-timed-event-5-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #C1F2F0;
}


.cal_multiday-timed-event-6-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #EEC1F2;
}


.cal_multiday-timed-event-7-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #DEC6A3;
}


.cal_multiday-timed-event-8-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #FC6067;
}


.cal_multiday-timed-event-9-conflict {
        border-top: 1px outset #DCDBC9;
        border-right: 1px outset #DCDBC9;
        border-bottom: 1px outset #DCDBC9;
        border-left: 3px solid #A00000;
        background: #80D995;
}
